Package org.springframework.http.server.reactive.observation

# Enum Class ServerHttpObservationDocumentation.HighCardinalityKeyNames

java.lang.Object
java.lang.Enum<ServerHttpObservationDocumentation.HighCardinalityKeyNames>
org.springframework.http.server.reactive.observation.ServerHttpObservationDocumentation.HighCardinalityKeyNames

All Implemented Interfaces:
  `io.micrometer.common.docs.KeyName`, `Serializable`, `Comparable<ServerHttpObservationDocumentation.HighCardinalityKeyNames>`, `Constable`

Enclosing class:
  ServerHttpObservationDocumentation

public static enum ServerHttpObservationDocumentation.HighCardinalityKeyNames extends Enum<ServerHttpObservationDocumentation.HighCardinalityKeyNames> implements io.micrometer.common.docs.KeyName

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HTTP_URL`
HTTP request URL.

## Method Summary

Modifier and Type
Method
Description
`static ServerHttpObservationDocumentation.HighCardinalityKeyNames`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ServerHttpObservationDocumentation.HighCardinalityKeyNames[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface io.micrometer.common.docs.KeyName

`asString, isRequired, withValue, withValue`

## Enum Constant Details

### HTTP_URL

public static final ServerHttpObservationDocumentation.HighCardinalityKeyNames HTTP_URL
HTTP request URL.

## Method Details

### values

public static ServerHttpObservationDocumentation.HighCardinalityKeyNames[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ServerHttpObservationDocumentation.HighCardinalityKeyNames valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null